package com.bankaudit.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Immutable;


public class MaintAuditParamsV {
	
	@Column(name="u_criticality")
	private String uCriticality;
	
	@Column(name="unit_type")
	private String unitType;
	
	@Column(name="frequency_type")
	private String frequencyType;
	
	@Column(name="frequency")
	private String frequency;
	
	@Column(name="duration")
	private String duration;
	
	@Column(name="man_days")
	private String manDays;
	
	@Column(name="status")
	private String status;
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id        
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="audit_type_desc")
	private String auditTypeDesc;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public String getuCriticality() {
		return uCriticality;
	}

	public void setuCriticality(String uCriticality) {
		this.uCriticality = uCriticality;
	}

	public String getUnitType() {
		return unitType;
	}

	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getFrequencyType() {
		return frequencyType;
	}

	public void setFrequencyType(String frequencyType) {
		this.frequencyType = frequencyType;
	}

	public String getFrequency() {
		return frequency;
	}

	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public String getManDays() {
		return manDays;
	}

	public void setManDays(String manDays) {
		this.manDays = manDays;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditTypeDesc() {
		return auditTypeDesc;
	}

	public void setAuditTypeDesc(String auditTypeDesc) {
		this.auditTypeDesc = auditTypeDesc;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	@Override
	public String toString() {
		return "MaintAuditParamsV [uCriticality=" + uCriticality + ", unitType=" + unitType + ", status=" + status
				+ ", legalEntityCode=" + legalEntityCode + ", auditTypeCode=" + auditTypeCode + ", auditTypeDesc="
				+ auditTypeDesc + ", authRejRemarks=" + authRejRemarks + ", maker=" + maker + ", makerTimestamp="
				+ makerTimestamp + ", checker=" + checker + ", checkerTimestamp=" + checkerTimestamp
				+ ", businessdateTimestamp=" + businessdateTimestamp + ", sysdateTimestamp=" + sysdateTimestamp + "]";
	}
	
}
